osgDB::AuthenticationMap Class Reference

`#include <AuthenticationMap>`

Inheritance diagram for osgDB::AuthenticationMap:

## Public Member Functions

| AuthenticationMap ()
virtual void | addAuthenticationDetails (const std::string &path, AuthenticationDetails *details)
virtual const AuthenticationDetails * | getAuthenticationDetails (const std::string &path) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Types

typedef std::map< std::string, osg::ref_ptr< AuthenticationDetails > > | AuthenticationDetailsMap

## Protected Member Functions

virtual | ~AuthenticationMap ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

AuthenticationDetailsMap | _authenticationMap
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Typedef Documentation

## AuthenticationDetailsMap

typedef std::map<std::string, osg::ref_ptr<AuthenticationDetails> > osgDB::AuthenticationMap::AuthenticationDetailsMap

protected

## Constructor & Destructor Documentation

## AuthenticationMap()

osgDB::AuthenticationMap::AuthenticationMap | ( |  | ) |

inline

## ~AuthenticationMap()

virtual osgDB::AuthenticationMap::~AuthenticationMap | ( |  | ) |

inline protected virtual

## Member Function Documentation

## addAuthenticationDetails()

virtual void osgDB::AuthenticationMap::addAuthenticationDetails | ( | const std::string & | path,
|  | AuthenticationDetails * | details )

virtual

## getAuthenticationDetails()

virtual const AuthenticationDetails * osgDB::AuthenticationMap::getAuthenticationDetails | ( | const std::string & | path | ) | const

virtual

## Member Data Documentation

## _authenticationMap

AuthenticationDetailsMap osgDB::AuthenticationMap::_authenticationMap

protected

The documentation for this class was generated from the following file:

- AuthenticationMap